# Uses of Interface
org.jmol.api.JmolJDXMOLReader

Packages that use JmolJDXMOLReader
Package
Description
jspecview.source
org.jmol.adapter.readers.more
org.jmol.api
org.jmol.jsv

## Uses of JmolJDXMOLReader in jspecview.source

Classes in jspecview.source that implement JmolJDXMOLReader
Modifier and Type
Class
Description
`class`
`JDXReader`
`JDXFileReader` reads JDX data, including complex BLOCK files that contain NTUPLE blocks or nested BLOCK data.

## Uses of JmolJDXMOLReader in org.jmol.adapter.readers.more

Classes in org.jmol.adapter.readers.more that implement JmolJDXMOLReader
Modifier and Type
Class
Description
`class`
`JcampdxReader`
A preliminary reader for JCAMP-DX files having ##$MODELS= and ##$PEAKS= records Designed by Robert Lancashire and Bob Hanson specifications (by example here): ##$MODELS= <Models> acetophenone DSViewer 3D 0 17 17 0 0 0 0 0 0 0 0999 V2000 ...

## Uses of JmolJDXMOLReader in org.jmol.api

Methods in org.jmol.api with parameters of type JmolJDXMOLReader
Modifier and Type
Method
Description
`JmolJDXMOLParser`
JmolJDXMOLParser.`set(JmolJDXMOLReader loader, String filePath, Map<String,Object> htParams)`

## Uses of JmolJDXMOLReader in org.jmol.jsv

Methods in org.jmol.jsv with parameters of type JmolJDXMOLReader
Modifier and Type
Method
Description
`JmolJDXMOLParser`
JDXMOLParser.`set(JmolJDXMOLReader loader, String filePath, Map<String,Object> htParams)`